import {
	request
} from "@/utils/request";

export default {
	list(data) {
		return request({
			url: "/admin/goods/goodsList",
			method: "POST",
			data,
			type: 'store'
		});
	},

	goodsEditAttribute(data) {
		return request({
			url: "/admin/goods/goodsEditAttribute",
			method: "POST",
			data,
			type: 'store'
		});
	},

	goodsDel(data) {
		return request({
			url: "/admin/goods/goodsDel",
			method: "POST",
			data,
			type: 'store'
		});
	},

	classify: {
		list(data) {
			return request({
				url: "/admin/classify/list",
				method: "POST",
				data,
				type: 'store'
			});
		},

		createItem(data) {
			return request({
				url: "/admin/classify/createItem",
				method: "POST",
				data,
				type: 'store'
			});
		},

	},

	freightRules(data) {
		return request({
			url: "/admin/freightRules/list",
			method: "POST",
			data,
			type: 'store'
		});
	},

	goodsItem(data) {
		return request({
			url: "/admin/goods/goodsItem",
			method: "POST",
			data,
			type: 'store'
		});
	},

	goodsEdit(data) {
		return request({
			url: "/admin/goods/goodsEdit",
			method: "POST",
			data,
			type: 'store'
		});
	},




};